Package: org.codehaus.groovy.runtime

## [Java] Class ThreadCategoryInfo

- org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyCategorySupport.CategoryMethodList` | `getCategoryMethods(String name)`
    `<T>` | `T` | `use(List<Class> categoryClasses, Closure<T> closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, remove, get, put, values, clone, clear, isEmpty, replace, replace, replaceAll, size, entrySet, putAll, putIfAbsent, keySet, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, forEach, getOrDefault, merge, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll`
    `class AbstractMap` | `remove, get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, keySet, containsKey, containsValue, wait, wait, wait, getClass, notify, notifyAll, remove, replace, replace, replaceAll, putIfAbsent, compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge`

- - ### Method Detail

    - #### public GroovyCategorySupport.CategoryMethodList getCategoryMethods(String name)

    - #### <T> public T use(List<Class> categoryClasses, Closure<T> closure)